# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    # Declaring local variables
    package_version = control.get_software_version()
    bin_name = glob.glob("*mRemoteNG-Installer*.exe")[0]

    # Installing the package
    print("Installing: %s" % bin_name)
    install_msi_if_needed(bin_name, min_version=package_version)


def session_setup():
    print("Session setup for %s" % control.asrequirement())
    print("Disabling: update check")

    # Specific app values
    package_version = control.get_software_version()

    app_local_appdata = makepath(user_local_appdata, "mRemoteNG", "*")
    conf_file_loc = None
    for prof_in_dir in glob.iglob(app_local_appdata):
        profile_app_dir = prof_in_dir + "/" + package_version
        conf_file_loc = profile_app_dir + "/" + "user.config"

    if conf_file_loc is not None:
        if isfile(conf_file_loc):
            import xml.etree.ElementTree as ET

            xml_data_conf_tree = ET.parse(conf_file_loc)
            xml_data_conf = xml_data_conf_tree.getroot()

            for conf in xml_data_conf.iter("setting"):
                if conf.get("name") == "CheckForUpdatesOnStartup":
                    for children in conf.getchildren():
                        children.text = "False"
                        xml_data_conf_tree.write(conf_file_loc, encoding="utf-8")
    else:
        error("you need to run the app at least once to create the config file")
